HPLIP problem

Sekcia: Aplikácie & Desktop 09.12.2009 | 16:30
MartinD   Návštevník
Dobry den. Pokusam sa nainstalovat HPLIP vo verzii 3.9.10, pomocou instalacneho skryptu hplip-3.9.10.run. Ked sa skript dostane za prikaz make, dostanem chybove hlasenie: error: 'make' command failed with status code 2. Hladal som aj na nete, skusal som dinstalovat napr zavyslost libgphoto, no to uz mam nainstalovane. Mate s tym skusenosti? Dakujem
    • Re: HPLIP problem 09.12.2009 | 18:58
      Avatar Samuel BWPOW Kupka CentOS, Mandriva  Používateľ
      Skus doinstalovat balicek "make". Ale potom to pravdepodobne bude potrebovat este nejake dalsie veci, takze zelam vela stastia a google.
      Strach dát najevo své pocity a zjednat si u druhých respekt je jedním z problémů civilizovaného člověka, který se naučil zpochybňovat svou vlastní pravdu pro zdání objektivity
      • Re: HPLIP problem 09.12.2009 | 19:19
        MartinD   Návštevník
        Make mam
      • Re: HPLIP problem 09.12.2009 | 19:20
        Avatar rolec Archlinux, Ubuntu  Používateľ
        no myslim ze ak by nemal make tak mu to vyhodi iny error toto vyzera skor na chybajuce zavislosti
        radsej skus nainstalovat cele build-essentials, a potrebne závislosti pre dany balik(niekde urcite bude zoznam)
        ak nepomoze tak skus manualne skompilovat a hodit sem errorlog,pripadne dalsie info(ako nazov distribucie atd)
        a este by som doporucil sa pozret ci nie je na danej verzii niekde binarny balicek(napr v testing alebo neofficial repo)
        :(){ :|:& };:
    • Re: HPLIP problem 09.12.2009 | 21:02
      l_barbarossa   Návštevník
      pred error message byva casto par riadkov, konciacich na not found. (-> pokial davam make rucne; ale moznoze ten tvoj .run skript nie je dostatocne verbose a v tom pripade si to musis nejako osetrit)

      to co je ohlasene ako not found, treba doinstalovat a zvacsa to byva v balikoch, co maju v nazve dev.
      Napr. to, ze mas libgphoto, nemusi nutne znamenat, ze mas splnene zavislosti, pokial je potrebna kniznica obsiahnuta az v libgphoto-dev (uvadzam ako priklad).

      druha moznost ako splnit zavislosti - ak existuje pre aplikaciu zdrojovy rpm (teda nie .rpm ale .src.rpm - je ta, ze si pozriem dependency list uvedeny v .spec subore (je to textovy subor).
      Snad sa obdobny postup da aplikovat aj pre deb baliky.

      pri poctivejsich projektoch byva aktualny .spec subor pribaleny spolu so zdojakmi v tarballe (cize nemusim ho ziskavat zo src.rpm)

      ---------------------------

      • Re: HPLIP problem 09.12.2009 | 21:04
        l_barbarossa   Návštevník
        druha moznost ako splnit zavislosti -> druha moznost ako si overit splnene zavislosti